@use "sass:map";
@import "../styles-variables.scss";




.mat-spinner {
  margin: 4em auto;
}

.results-count {
  display: inline-block;
  padding: 0.3em 0.5em;
  border-radius: 5px;
  font-size: 0.9em;
  background: $blue;
  color: white;
  margin-bottom: 2em;
}

.no-results {
  text-align: center;
}

@media (max-width: map.get($grid-breakpoints, "md")) {
  table {
    display: block;
    width: 100%;

    thead {
      display: none;
    }

    tbody {
      display: table;
      width: 100%;
    }

    tr {
      display: table-row-group;

      &:nth-child(even) {
        background-color: $even-row;
      }

      td {
        display: table-row;

        &:before,
        >span {
          display: table-cell;
          padding: 0.5em 1em;
          border: 1px solid #E0E0E0;
        }

        &:before {
          content: attr(data-label);
          font-weight: 600;
        }

        &:not(.align-start)>span {
          vertical-align: middle;
        }
      }
    }
  }
}

@media (min-width: map.get($grid-breakpoints, "md")) {
  table {
    width: 100%;

    thead {
      th {
        background: $blue;
        color: white;
      }
    }

    tr {
      &:nth-child(even) {
        background-color: $even-row;
      }
    }

    th {
      white-space: nowrap;
      font-weight: 600;
    }
  
    th,
    td {
      padding: 0.7em;
      border: 1px solid #E0E0E0;
      text-align: center;
    }
  }
}
